Subject: bug#22891:

From: Eli Zaretskii <[email-masked]>
Date: Tue, 26 Apr 2016 09:44:15 +0300

> Date: Tue, 26 Apr 2016 08:34:23 +0200
> From: martin rudalics <[email-masked]>
> Cc: [email-masked], Constantine Vetoshev <[email-masked]>
> 
>  > Here comes a new patch with both changes. Unless anybody complains, I will
>  > push it to "master".
> 
> The fix for bug#22891 should go into emacs-25.  Otherwise, we release code
> that worked for emacs 24.5.

I agree.

>  > Just a little concern: I just took a look at the Emacs lisp directory. I
>  > estimate is that a majority (but no all) of calls to `window-width',
>  > `window-text-width', and `window-body-width' really should be to
>  > `window-max-chars-per-line'.
> 
> These should be probably fixed on master.

Yes; and I'd prefer to see this discussed first, as I'm not so sure
the conclusion is correct.  This is a tricky issue; in particular, the
units in which window-max-chars-per-line measures are different from
those of the other functions, so the question is how the result is
being used, not just whether the character cell reserved for
continuation and truncation glyphs counts.